Loading...
Searching...
No Matches
halide_mutex Struct Reference

Cross-platform mutex. More...

`#include <HalideRuntime.h>`

## Public Attributes

uintptr_t | _private [1]

## Detailed Description

Cross-platform mutex.

Must be initialized with zero and implementation must treat zero as an unlocked mutex with no waiters, etc.

Definition at line 191 of file HalideRuntime.h.

## Member Data Documentation

## _private

uintptr_t halide_mutex::_private[1]

Definition at line 192 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h